Bug 2002752 - Cluster Proxy not used during installation on OSP
Summary: Cluster Proxy not used during installation on OSP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.z
Assignee: Martin André
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 2000551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-09 15:50 UTC by OpenShift BugZilla Robot
Modified: 2021-10-13 07:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The HTTP transport to connect to OpenStack endpoints using a custom CA certificate was missing the Proxy settings. Consequence: Cluster wasn't fully operational when deployed on OpenStack with a combination of proxy and custom CA certificate. Fix: Pass the proxy settings to the HTTP transport used when connecting with a custom CA certificate. Result: All cluster components work as expected.
Clone Of:
Environment:
Last Closed: 2021-10-13 07:30:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-openstack pull 201 0 None None None 2021-09-10 08:48:10 UTC
Red Hat Product Errata RHBA-2021:3737 0 None None None 2021-10-13 07:31:07 UTC

Comment 6 Jon Uriarte 2021-10-11 08:52:01 UTC
Verified in 4.6.0-0.nightly-2021-10-05-160021 on top of OSP 16.2 (RHOS-16.2-RHEL-8-20210903.n.1) with OpenShiftSDN Network type.

OCP installation on restricted network using proxy is successful.

2021-10-07 20:33:22.958 | level=debug msg="Cluster is initialized"
2021-10-07 20:33:22.961 | level=info msg="Waiting up to 10m0s for the openshift-console route to be created..."
2021-10-07 20:33:22.964 | level=debug msg="Route found in openshift-console namespace: console"
2021-10-07 20:33:22.967 | level=debug msg="Route found in openshift-console namespace: downloads"
2021-10-07 20:33:22.970 | level=debug msg="OpenShift console route is created"
2021-10-07 20:33:22.973 | level=info msg="Install complete!"

Reference: https://rhos-ci-jenkins.lab.eng.tlv2.redhat.com/view/DFG/view/osasinfra/view/shiftstack_ci/job/DFG-osasinfra-shiftstack_ci-ocp_verification-4.6-openshiftsdn-ipi_proxy/5/

Comment 9 errata-xmlrpc 2021-10-13 07:30:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.47 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3737


Note You need to log in before you can comment on or make changes to this bug.